<?php

namespace Memsource\MemsourceConnector\Controller;

use TYPO3\CMS\Core\Http\NormalizedParams;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

class AccountController extends ActionController
{
    const DEFAULT_SITENAME = 'TYPO3';

    /**
     * @return array
     */
    public function getListAction(): array
    {
        $parts = [];

        if (isset($GLOBALS['TYPO3_CONF_VARS']['SYS']['sitename'])) {
            $parts[] = $GLOBALS['TYPO3_CONF_VARS']['SYS']['sitename'];
        }

        if (
            isset($GLOBALS['TYPO3_REQUEST'], $GLOBALS['TYPO3_REQUEST']->getAttributes()['normalizedParams']) &&
            $GLOBALS['TYPO3_REQUEST']->getAttributes()['normalizedParams'] instanceof NormalizedParams
        ) {
            $parts[] = $GLOBALS['TYPO3_REQUEST']->getAttributes()['normalizedParams']->getRequestHostOnly();
        } elseif (isset($_SERVER['HTTP_X_FORWARDED_HOST'])) {
            $parts[] = $_SERVER['HTTP_X_FORWARDED_HOST'];
        } elseif (isset($_SERVER['HTTP_HOST'])) {
            $parts[] = $_SERVER['HTTP_HOST'];
        } elseif (isset($_SERVER['SERVER_NAME'])) {
            $parts[] = $_SERVER['SERVER_NAME'];
        }

        if ($parts) {
            $name = implode(' - ', $parts);
        } else {
            $name = self::DEFAULT_SITENAME;
        }

        return [
            'account' => [
                'name' => $name
            ]
        ];
    }
}
