<?php

namespace Memsource\MemsourceConnector\Controller;

use TYPO3\CMS\Core\Database\ConnectionPool;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

class LanguagesController extends ActionController
{
    /**
     * Get list of supported languages.
     *
     * @return array
     */
    public function getListAction(): array
    {
        $languages = GeneralUtility::makeInstance(ConnectionPool::class)
            ->getQueryBuilderForTable('sys_language')
            ->select('language_isocode AS code', 'title')
            ->from('sys_language')
            ->where('hidden = 0')
            ->andWhere("language_isocode <> ''")
            ->orderBy('sorting')
            ->execute()
            ->fetchAll();

        return [
            'languages' => $languages
        ];
    }
}
