<?php

namespace Memsource\MemsourceConnector\Domain\Model;

abstract class BaseRepository
{
    /**
     * Find content item by ID.
     *
     * @param int $id
     * @return array
     */
    protected function findOneById($id)
    {
        return QueryBuilderFactory::create(static::TABLE_NAME)
            ->select('*')
            ->from(static::TABLE_NAME)
            ->where("uid = $id")
            ->andWhere('deleted = 0')
            ->execute()
            ->fetch();
    }

    /**
     * Find ID of content item by language.
     *
     * @param int $sourcePageId
     * @param int $targetContentId
     * @param int $sourceImageId
     * @param int $langId
     * @return bool|string
     */
    protected function findIdByLang($sourcePageId, $targetContentId, $sourceImageId, $langId)
    {
        return QueryBuilderFactory::create(static::TABLE_NAME)
            ->select('uid')
            ->from(static::TABLE_NAME)
            ->where('sys_language_uid = ' . (int) $langId)
            ->andWhere('pid = ' . (int) $sourcePageId)
            ->andWhere('tt_content = ' . (int) $targetContentId)
            ->andWhere('l10n_parent = ' . (int) $sourceImageId)
            ->andWhere('deleted = 0')
            ->execute()
            ->fetchColumn();
    }
}
