<?php

namespace Memsource\MemsourceConnector\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

class Config extends AbstractEntity
{
    /**
     * Config unique key used by ConfigRepository.
     *
     * @var string
     **/
    protected $key;

    /**
     * Access token used by Memsource.
     *
     * @var string
     **/
    protected $token;

    /**
     * Debug mode toggle.
     *
     * @var boolean
     **/
    protected $debug;

    /**
     * @param string $key
     * @param string $token
     * @param boolean $debug
     */
    public function __construct($key, $token, $debug)
    {
        $this->setKey($key);
        $this->setToken($token);
        $this->setDebug($debug);
    }

    /**
     * @return string
     */
    public function getToken(): string
    {
        return $this->token;
    }

    /**
     * @param string $token
     */
    public function setToken(string $token)
    {
        $this->token = $token;
    }

    /**
     * @return bool
     */
    public function isDebug(): bool
    {
        return $this->debug;
    }

    /**
     * @param bool $debug
     */
    public function setDebug(bool $debug)
    {
        $this->debug = $debug;
    }

    /**
     * @return string
     */
    public function getKey(): string
    {
        return $this->key;
    }

    /**
     * @param string $key
     */
    public function setKey(string $key)
    {
        $this->key = $key;
    }
}
