<?php

namespace Memsource\MemsourceConnector\Domain\Model;

use TYPO3\CMS\Core\Database\ConnectionPool;
use TYPO3\CMS\Core\Database\Query\QueryBuilder;
use TYPO3\CMS\Core\Utility\GeneralUtility;

class QueryBuilderFactory
{
    /**
     * Create query builder with disabled restrictions.
     *
     * @param string $table
     * @return QueryBuilder
     */
    public static function create(string $table): QueryBuilder
    {
        $queryBuilder = GeneralUtility::makeInstance(ConnectionPool::class)
            ->getQueryBuilderForTable($table);

        $queryBuilder
            ->getRestrictions()
            ->removeAll();

        return $queryBuilder;
    }
}
