<?php

namespace Memsource\MemsourceConnector\Domain\Utility;

use TYPO3\CMS\Core\Database\ConnectionPool;
use TYPO3\CMS\Core\Utility\GeneralUtility;

class Db
{
    /**
     * Get columns names using DESCRIBE command.
     *
     * @param string $table
     * @return array
     */
    public static function getColumnNames($table): array
    {
        $columns = GeneralUtility::makeInstance(ConnectionPool::class)
            ->getConnectionForTable($table)
            ->executeQuery("DESCRIBE `$table`")
            ->fetchAll();

        $names = [];

        foreach ($columns as $column) {
            $names[] = $column['Field'];
        }

        return $names;
    }
}
